com.fasterxml.jackson.databind.annotation

## Class NoClass

- java.lang.Object
- - com.fasterxml.jackson.databind.annotation.NoClass

    public final class NoClass
    extends Object

Marker class used with annotations to indicate "no class". This is a silly but necessary work-around -- annotations cannot take nulls as either default or explicit values. Hence for class values we must explicitly use a bogus placeholder to denote equivalent of "no class" (for which 'null' is usually the natural choice).

Note that since 2.4, most (but not all! `JsonTypeInfo.defaultImpl()` is a notable exception}) usage should start using `Void` instead as the "not defined" marker.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`